﻿using Newtonsoft.Json.Linq;

namespace ExcelIOSample.Models
{
    public class ExportFileModel
    {
        public JObject spread { get; set; }
        public string exportFileType { get; set; }
        public string exportFileName { get; set; }
        public ExcelFileSetting excel { get; set; }
        public PdfFileSetting pdf { get; set; }
    }

    public class ExcelFileSetting
    {
        public string saveFlags { get; set; }
        public string password { get; set; }
    }

    public class PdfFileSetting
    {
        public int[] sheetIndexes { get; set; }
        public JObject setting { get; set; }
    }
}